Subject: [Fot] to Duncan Charlton

From: "R. John Lye via Fot" <[email-masked]>
Date: Tue, 02 Feb 2021 12:12:05 -0500 reip=0.000, cl=1, cld=1, fgs=0

Hi Duncan,

I was just reading the new issue of the SVBCC newsletter and realized
that you have moved to this area.  I guess either I missed it or hadn't
been paying attention, but anyway, welcome to the Central Virginia
area.

--
Thanks,
John

[email-masked]
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]